<?php
/**
 * class slideResult
 *
 * Description for class slideResult
 *
 * @author:
*/
namespace core;

class slideResult {
	protected $id = null;
	protected $type = null;
	protected $presentationId = null;
	protected $config = array();
	protected $options = array();

	public function __construct($id, $presentationId, $slideType, $config = array(), $options = array()) {
		if(!is_array($config)) {
			$config = json_decode($config, true);
		}

		$this->id = $id;
		$this->type = $slideType;
		$this->presentationId = $presentationId;
		$this->config = $config;
		$this->options = $options;
	}
}
?>